Package com.independentsoft.office.odf.styles

# Enum Class BorderStyle

java.lang.Object
java.lang.Enum<BorderStyle>
com.independentsoft.office.odf.styles.BorderStyle

All Implemented Interfaces:
  `Serializable`, `Comparable<BorderStyle>`, `Constable`

public enum BorderStyle extends Enum<BorderStyle>
Represents a style for border.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DASHED`
  Border style is dashed.
  `DOTTED`
  Border style is dotted.
  `DOUBLE`
  Border style is double.
  `GROOVE`
  Border style is groove.
  `HIDDEN`
  Border style is hidden.
  `INSET`
  Border style is inset.
  `NONE`
  None.
  `NOT_DEFINED`
  Border style is not defined.
  `OUTSET`
  Border style is outset.
  `RIDGE`
  Border style is ridge.
  `SOLID`
  Border style is solid.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static BorderStyle`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static BorderStyle[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NONE

    public static final BorderStyle NONE
    None.

  - ### HIDDEN

    public static final BorderStyle HIDDEN
    Border style is hidden.

  - ### DOTTED

    public static final BorderStyle DOTTED
    Border style is dotted.

  - ### DASHED

    public static final BorderStyle DASHED
    Border style is dashed.

  - ### SOLID

    public static final BorderStyle SOLID
    Border style is solid.

  - ### DOUBLE

    public static final BorderStyle DOUBLE
    Border style is double.

  - ### GROOVE

    public static final BorderStyle GROOVE
    Border style is groove.

  - ### RIDGE

    public static final BorderStyle RIDGE
    Border style is ridge.

  - ### INSET

    public static final BorderStyle INSET
    Border style is inset.

  - ### OUTSET

    public static final BorderStyle OUTSET
    Border style is outset.

  - ### NOT_DEFINED

    public static final BorderStyle NOT_DEFINED
    Border style is not defined.

- ## Method Details

  - ### values

    public static BorderStyle[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static BorderStyle valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null